## PkgImp - Python Java-style Package imports

*PkgImp* is a module for Python 2.3 and newer that implements a
`sys.meta_path` Importer for importing Python modules in a Java-style
package based manner.

### Usage

Imagine you expect some Python module or packages to be located somewhere
on the `sys.path`, let's say even two of them with different structure.

    some/
    - directory/
        module.py

    some /
      - package/
          __init__.py

They can be imported like so

```python
import pkgimp
pkgimp.install('some')

# Do directory based module imports.
import some.directory.module as module
import some.directory.package as package
```

### Advantage

Just like with Java packages, namespaces can be put together without
merging with an existing package structure.

### License

*PkgImp* is licensed under the MIT License.
Copyright (c) 2014, Niklas Rosenstein