#!/usr/bin/env python2

import re
import os
import pkgimp
from distutils.core import setup

lpath = lambda *a: os.path.join(os.path.dirname(__file__), *a)

readme = lpath('README.md')
author, mail = re.match('(.*)\s+<(.*)>', pkgimp.__author__).groups()

with open(readme) as fp:
    long_description = fp.read()

setup(
    name='pkgimp',
    version='.'.join(map(str, pkgimp.__version__)),
    description='Python Java-style Package imports',
    author=author,
    author_email=mail,
    url='http://github.com/nr-libs/pkgimp-py',
    py_modules=['pkgimp'],
    long_description=long_description,
)

